﻿------------------------------------------
-- Desenvolvedor: Flavio - (#Flavio)	--
-- Arquivo: s.lua			    	    --
-- Copyright 2016 (C) Flavio    		--
-- All rights reserved.					--
------------------------------------------
thisResource = getResourceRootElement(getThisResource())

function createSpeedFunc()
local speedcams = getElementsByType ("speedcam", resourceRoot)
num=0
id=0
speedcam = { }
speedBlip = { }
speedID = { }
	for key,val in ipairs(speedcams) do
		num=num+1
		id=id+1
		speedX = getElementData(val, "x")
		speedY = getElementData(val, "y")
		speedZ = getElementData(val, "z")
		speedRZ = getElementData(val, "rz")
		size = getElementData(val, "size")
		ticketCost = getElementData(val, "ticketCost")
		requiredSpeed = getElementData(val, "requiredSpeed")
		speedcam[num] = createMarker (speedX, speedY, speedZ, "cylinder", size, 255, 255, 255, 0, root)
		createObject ( 1337, speedX, speedY, speedZ-1, 0, 0, speedRZ-180 )
		setElementData(speedcam[num], "id", tonumber(id), true)
		setElementData(speedcam[num], "speedcam", speedcam[num])
		setElementData(speedcam[num], "x", speedX)
		setElementData(speedcam[num], "y", speedY)
		setElementData(speedcam[num], "z", speedZ)
		setElementData(speedcam[num], "rz", speedRZ)
		setElementData(speedcam[num], "ticketCost", ticketCost)
		setElementData(speedcam[num], "requiredSpeed", requiredSpeed)
		speedcamData = getElementData(speedcam[num], "speedcam")
		addEventHandler("onMarkerHit", speedcamData, triggerFlashShit)

		setBlipVisibleDistance(blip, 250)
end
end
addEventHandler("onResourceStart", resourceRoot, createSpeedFunc)

local cover = "========================================"
local contagem = 0
function get_coordinates(source)
	local x,y,z = getElementPosition(source)	
	local _,_,rz = getElementRotation (source)
	local filePath = "Radares.log"
	if not ( fileExists ( filePath ) ) then
	fileCreate ( filePath )
	local file = fileOpen ( filePath )
	fileWrite ( file, cover .. "\n= Sistema de Radares criado por #Lyar =\n" .. cover .. "\n" )
	fileClose ( file )
    end
	local file = fileOpen ( filePath )
	fileSetPos ( file, fileGetSize ( file ) )
    fileWrite(file, '<speedcam x="'..x..'" y="'..y..'" z="'..z..'" rz="'..rz..'" size="20" requiredSpeed="140" ticketCost="500"/>\n')	
 	fileFlush ( file )
	fileClose ( file )
	contagem = contagem + 1
	outputChatBox("Radares setados: "..contagem.."")
end
--addCommandHandler("pos", get_coordinates)		

addEventHandler("onResourceStart",resourceRoot,
function()
local players = getElementsByType ( "player" )
for i,p in ipairs(players) do
local sourceAccount = getPlayerAccount (p)
if isGuestAccount ( sourceAccount ) then
setElementData(p,"Multas",0)
else
if (getAccountData(sourceAccount, "Multas")) then
setElementData(p,"Multas",getAccountData(sourceAccount, "Multas"))
end
if not (getAccountData(sourceAccount, "Multas")) then
setElementData(p,"Multas",0)
end
end
end
end
)

addEventHandler("onPlayerLogout",getRootElement(),
function (acc)
setAccountData(acc,"Multas",getElementData(source,"Multas"))
setElementData(source,"Multas",0)
end
)

addEventHandler("onPlayerLogin", root,
function ( _, theCurrentAccount)
if (getAccountData(theCurrentAccount, "Multas")) then
setElementData(source,"Multas",getAccountData(theCurrentAccount, "Multas"))
end
end
)

addEventHandler("onPlayerJoin",root,
function()
setElementData(source,"Multas",0)
end)

function onClientCrapBox2(player, test1, test2, test3)
	triggerClientEvent(getRootElement(), "onClientCrapBox2", getRootElement(), test1, test2, test3)
end
	
function cameratarget (source)	
setCameraTarget(source,source)
end	
	
function triggerFlashShit(hitElement)
        if (getElementType(hitElement) == "player" ) then
        local playerSeat = getPedOccupiedVehicleSeat(hitElement)
        if playerSeat == 0 then
            local vehicle = getPedOccupiedVehicle(hitElement)
            if (getElementType(vehicle) == "vehicle" ) then
			local driver = getVehicleOccupant ( vehicle )
			if (driver) then
            local speedx, speedy, speedz = getElementVelocity(vehicle)
			local cX, cY, cZ = getElementPosition(vehicle)
                local playerAcc = getPlayerAccount(hitElement)
                local pWanted = getPlayerWantedLevel(hitElement)
                local pMoney = getPlayerMoney(hitElement)
                
                actualSpeed = (speedx^2 + speedy^2 + speedz^2)^(0.5)          
                mph = math.floor(actualSpeed * 160)			
                if (mph >= tonumber(requiredSpeed) ) and (getPlayerWantedLevel(hitElement) <=6 ) then
				    setPlayerWantedLevel(hitElement, math.min(6, getPlayerWantedLevel(hitElement) + 1))
                if (pMoney >= tonumber(ticketCost) ) then
					
				local acc = getPlayerAccount ( hitElement )
				local multas = getElementData(hitElement,"Multas") or 1
				setElementData(hitElement,"Multas",getElementData(hitElement,"Multas")+1)
				setAccountData(acc,"Multas",getElementData(hitElement,"Multas"))
				
                outputChatBox ('#ff9900●#FFFFFF¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯#ff9900●', hitElement, 255, 255, 255, true)	
                outputChatBox ('        #ff9900● #FFFFFFVocê foi multado. A sua velocidade #ff9900'..mph..' #FFFFFFKm#ff9900/#FFFFFFh#FFFFFF excedeu os #ff9900'..requiredSpeed..' #FFFFFFKm#ff9900/#FFFFFFh', hitElement, 255, 255, 255, true)		
	            outputChatBox ('        #ff9900● #FFFFFFVocê ganhou #ff9900#FFFFFF nivel de procurado', hitElement, 255, 255, 255, true)
	            outputChatBox ('        #ff9900● #FFFFFFVocê está com #ff9900'..multas..'#FFFFFF multas sem pagar.', hitElement, 255, 255, 255, true)		
	            outputChatBox ('        #ff9900● #FFFFFFVisite o #ff9900departamento policial#FFFFFF para pagar multas e limpar ficha.', hitElement, 255, 255, 255, true)				
                outputChatBox ('#ff9900●#FFFFFF_________________________________________________________________#ff9900●', hitElement, 255, 255, 255, true)
				
				setElementData (hitElement, "Radar_Anti_Bug",true)
				setTimer (setElementData, 1500, 1, hitElement, "Radar_Anti_Bug", false)

				onClientCrapBox2(hitElement, "info", ""..getPlayerName(hitElement).." #FFFFFFpassou há #ff9900"..mph.."#FFFFFF Km/h no radar e foi multado.")
				setTimer(cameratarget, 2500, 1, hitElement)
				setTimer(triggerClientEvent, 100, 1, "showPicture", hitElement)
				setTimer(triggerClientEvent, 200, 1, "MatrixRadar", hitElement)																		
				fadeCamera(hitElement, false)
				setTimer(fadeCamera, 100, 1, hitElement, true, 1.5, 0, 0, 0)

                        elseif (pMoney <=tonumber(ticketCost) ) and (getPlayerWantedLevel(hitElement) <=6 ) then
						setElementData (hitElement, "Radar_Anti_Bug",true)
				        setTimer (setElementData, 1500, 1, hitElement, "Radar_Anti_Bug", false)
                        setPlayerWantedLevel(hitElement, math.min(6, getPlayerWantedLevel(hitElement) + 1))
                        setTimer(triggerClientEvent, 100, 1, "showPicture", hitElement)

                        end
                    end
                end
			else
		return end
    end
end
end